# DataExchange
TKXSBase
IFSelect

# IFSelect_DispGlobal Class Reference

A DispGlobal gathers all the input Entities into only one
global Packet
.

`#include <IFSelect_DispGlobal.hxx>`

Inheritance diagram for IFSelect_DispGlobal:

[legend]

## Public Member Functions

Standard_EXPORT | IFSelect_DispGlobal ()
| Creates a DispGlobal .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns as Label, "One File for all Input" .
virtual Standard_EXPORT Standard_Boolean | LimitedMax (const Standard_Integer nbent, Standard_Integer &max) const
| Returns True : maximum equates 1 .
virtual Standard_EXPORT Standard_Boolean | PacketsCount (const Interface_Graph &G, Standard_Integer &count) const
| Returns True (count of packets is well known) and count is 1 .
Standard_EXPORT void | Packets (const Interface_Graph &G, IFGraph_SubPartsIterator &packs) const
| Computes the list of produced Packets. It is made of only ONE Packet, which gets the RootResult from the Final Selection. Remark : the inherited exception raising is never activated. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_DispGlobal::IFSelect_DispGlobal | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IFSelect_DispGlobal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Dispatch.

Standard_EXPORT TCollection_AsciiString IFSelect_DispGlobal::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Dispatch.

virtual Standard_EXPORT Standard_Boolean IFSelect_DispGlobal::LimitedMax | ( | const Standard_Integer | nbent,
|  | Standard_Integer & | max
| ) | const`[virtual]`

| Reimplemented from IFSelect_Dispatch.

Standard_EXPORT void IFSelect_DispGlobal::Packets | ( | const Interface_Graph & | G,
|  | IFGraph_SubPartsIterator & | packs
| ) | const`[virtual]`

| Implements IFSelect_Dispatch.

virtual Standard_EXPORT Standard_Boolean IFSelect_DispGlobal::PacketsCount | ( | const Interface_Graph & | G,
|  | Standard_Integer & | count
| ) | const`[virtual]`

| Reimplemented from IFSelect_Dispatch.

The documentation for this class was generated from the following file:

- IFSelect_DispGlobal.hxx